<!DOCTYPE html>
<html lang="en-GB">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport"
              content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
        <title>Twidder | All you need to socialise</title>
        <meta
            name="description"
            content="A single page web application to social media applications"
            >
        <script async src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.4.0/Chart.min.js"></script>
        <script async src="/static/sha512.js"></script>
        <link
            href="static/client.css"
            type="text/css"
            rel="stylesheet"
            >
        <script defer src="static/client.js"></script>
        <script
            type="text/view"
            id="welcomeview"
            >
        <section id="main">
            <img
                src="static/media/images/wimage.png"
                alt="Twidder Socialise with other people around"
                title="Twidder logo"
                >
            <article id="credentials">
                <!-- There are two forms:
                -Login
                -Sign up
                They are identified by their id -->
                <form
                    action="#"
                    method="post"
                    id="login"
                    name="login"
                    autocomplete="on"
                    >
                    <div class="loginD">
                        <label for="loginmail">E-mail: <input
                                type="email"
                                id="loginmail"
                                name="loginmail"
                                autocomplete="email"
                                autofocus
                                placeholder="Your login e-mail"
                                required
                                >
                        </label>
                    </div>
                    <div class="loginD">
                        <label for="loginpassword">Password: <input
                                type="password"
                                id="loginpassword"
                                name="loginpassword"
                                placeholder="Your login password"
                                required
                                minlength="8"
                                >
                        </label>
                    </div>
                    <div class="btn">
                        <input
                            type="submit"
                            value="Login"
                            >
                    </div>
                </form>
                <form
                    action="#"
                    method="post"
                    id="signup"
                    name="signup"
                    autocomplete="off"
                    >
                    <h3>Sign Up</h3>
                    <div>
                        <label for="signupmail">E-mail: <input
                                type="email"
                                id="signupmail"
                                name="signupmail"
                                placeholder="Your e-mail to sign up"
                                autocomplete="email"
                                required
                                >
                        </label>
                    </div>
                    <div>
                        <label for="signuppassword">Password: <input
                                type="password"
                                id="signuppassword"
                                name="signuppassword"
                                placeholder="Your password to sign up"
                                required
                                minlength="8"
                                >
                        </label>
                    </div>
                    <div>
                        <label for="spasswordrepeat">Repeat password: <input
                                type="password"
                                id="spasswordrepeat"
                                name="spasswordrepeat"
                                placeholder="Retype your password"
                                required
                                minlength="8"
                                >
                        </label>
                    </div>
                    <div>
                        <label for="firstname">First name: <input
                                type="text"
                                id="firstname"
                                name="firstname"
                                placeholder="Your name"
                                required
                                autocomplete="given-name"
                                >
                        </label>
                    </div>
                    <div>
                        <label for="familyname">Family Name: <input
                                type="text"
                                id="familyname"
                                name="familyname"
                                placeholder="Your family name"
                                required
                                autocomplete="family-name"
                                >
                        </label>
                    </div>
                    <label for="gender">Gender:<select
                            name='gender'
                            id="gender"
                            >
                            <option>Male</option>
                            <option>Female</option>
                            <option>Prefer not to say</option>
                        </select>
                    </label>
                    <div>
                        <label for="city">City: <input
                                type="text"
                                id="city"
                                name="city"
                                placeholder="The city you reside"
                                >
                        </label>
                    </div>
                    <div>
                        <label for="country">Country: <input
                                type="text"
                                id="country"
                                name="country"
                                placeholder="The country you live"
                                >
                        </label>
                    </div>
                    <div class="btn">
                        <input
                            type="submit"
                            value="Sign up"
                            >
                    </div>
                </form>
            </article>
        </section>
        </script>
        <script
            type="text/view"
            id="profileview"
            >
        <!-- This the view user sees after login. The view you encounter after
        a successful login. There 4 section in this view:
        -nav: Navigation panel
        -chart: A visual chart displaying various data concernig the
        website
        -section: the main view
        They are identified by tag or id-->
        <nav class="container-fluid">
            <!-- h1 for the header of the Website. li for each tab.-->
            <h1>Twidder</h1>
            <ol>
                <li><a id="accountTab" href="#">Account</a></li>
                <li><a id="browseTab" href="#">Browse</a></li>
                <li><a id="homeTab" href="#">Home</a></li>
            </ol>
        </nav>
        <div id="chart" class="col">
            <canvas id="myChart"></canvas>
        </div>
        <aside id="about" class="col">
            <h4>About</h4>
            <ul>
                <li id="hfirst_name">First name:</li>
                <li id="hfamily_name">Family name:</li>
                <li id="hmail">E-mail:</li>
                <li id="hgender">Gender:</li>
                <li id="hcity">City:</li>
                <li id="hcountry">Country:</li>
            </ul>
        </aside>
        <section class="container-fluid">
            <!-- This part is the dynamic part of the website. It varies with respect to
            the choosen tab from Navigation panel. There are three tabs:
            -about: Displays information about the user logged in
            -home: Home screen
            -browse: Others wall
            -account: View where user can interact with their account
            They are identified by id-->
            <div id="home" class="row">
                <!--This view has 2 input areas:
                -message,
                -media,
                and 3 view areas:
                -messages
                -images
                -videos
                This view is the same as others home in he browse tab -->
                <div>
                    <form action="#" method="post" autocomplete="off" id="hmsgpost">
                        <h2>Tell people what you think</h2>
                        <textarea rows="3" cols="90" autofocus="autofocus" name="message"
                                  placeholder="Enter your message here" required="required"
                                  spellcheck="true" wrap="hard"></textarea>
                        <input type="submit" value="Post">
                    </form>
                    <form acion="#" autocomplete="off" id="hmedia" enctype="multipart/form-data">
                        <div>
                            <label for="media">Share a media<input type="file" id="media"
                                                                   name="media" accept="video/*, image/*"></label><input
                                type="submit" value="Share">
                        </div>
                    </form>
                    <hr>
                    <article>
                        <h2>Messages</h2>
                        <a href="#">Reload</a>
                        <ul id="hmsgArea">
                        </ul>
                    </article>
                    <acticle>
                        <h2>Images</h2>
                        <ol id="himgs">
                        </ol>
                    </acticle>
                    <article>
                        <h2>Videos</h2>
                        <ol id="hvids">
                        </ol>
                    </article>
                </div>
            </div>
            <div id="browse">
                <!--This part searches other users and show information about them.
                There are 2 parts:
                -search: users can search other users.
                -othersHome: if user is found their information is shown.
                They are identified by id-->
                <article id="search">
                    <form action="#" autocomplete="on" id="searchform">
                        <div id="box">
                            <h2>See Other People</h2>
                        </div>
                        <div>
                            <input type="email" required name="searchmail" id="searchmail" placeholder="Other person's email" autocomplete="email">
                        </div>
                        <div>
                            <input type="submit" value="Search">
                        </div>
                    </form>
                </article>
                <article id="othersHome" class="row">
                    <!-- see home in section-->
                    <aside id="otersInfo">
                        <h4>About</h4>
                        <ul>
                            <li id="ofirst_name">First name:</li>
                            <li id="ofamily_name">Family name:</li>
                            <li id="omail">E-mail:</li>
                            <li id="ogender">Gender:</li>
                            <li id="ocity">City:</li>
                            <li id="ocountry">Country:</li>
                        </ul>
                    </aside>
                    <article>
                        <h2>Send This Person a Message</h2>
                        <form action="#" method="post" autocomplete="off" id="omsgpost">
                            <textarea rows="3" cols="90" name="message" id="message"
                                      placeholder="Enter your message here" required="required"
                                      spellcheck="true" wrap="hard"></textarea>
                            <input type="submit" value="Submit">
                        </form>
                        <form action="#" autocomplete="off" id="omedia"
                              enctype="multipart/form-data">
                            <div>
                                <label for="media">Share a media<input type="file" id="media"
                                                                       name="media" accept="video/*, image/*"></label><input
                                    type="submit" value="Share">
                            </div>
                        </form>
                        <hr>
                        <article>
                            <h2>Messages</h2>
                            <a href="#">Reload</a>
                            <div id="msgs">
                                <ul>
                                </ul>
                            </div>
                            <acticle>
                                <h2>Images</h2>
                                <ol id="oimgs">
                                </ol>
                            </acticle>
                            <article>
                                <h2>Videos</h2>
                                <ol id="ovids">
                                </ol>
                            </article>
                        </article>
                    </article>
                </article>
            </div>
            <div id="account" class="row">
                <!--Here user can change their password or sign out These Functionalities
                are diveded in two parts:
                -Change password form
                -Sign out link-->
                <h2>Change Password</h2>
                <form action="#" method="post" autocomplete="off" id="changepassword">
                    <div>
                        <label for="oldpassword">Old password:<input
                                type="password" required="required" name="oldpassword"
                                id="oldpassword"></label>
                    </div>
                    <div>
                        <label for="newpassword">New password:<input
                                type="password" required="required" name="newpassword"
                                id="newpassword"></label>
                    </div>
                    <div>
                        <label for="repeat">Repeat password:<input type="password"
                                                                   required="required" name="repeat" id="repeat"></label>
                    </div>
                    <div>
                        <input type="submit" value="Change">
                    </div>
                </form>
                <a id="signout" href="#"><h2>Sign Out</h2></a>
            </div>
        </section>
        </script>
    </head>
    <body></body>
</html>
